Package 'file' now needs to exclude libzstd or add as dependency

Depending on the order a stage two build compiles in, if libzstd builds first then it is getting automatically picked up when libmagic compiles and automatically included.

So libmagic either needs to be configured to exclude libzstd, or libzstd needs to be added as a dependency. Since it's already pulling zlib, libbz2, and liblzma, I recommend just adding it as a dependency.